diff -Naur inkscape2/inkscape.spec.in inkscape/inkscape.spec.in
--- inkscape2/inkscape.spec.in	2009-02-12 10:40:07.000000000 +0100
+++ inkscape/inkscape.spec.in	2009-02-10 10:35:03.000000000 +0100
@@ -39,6 +39,7 @@
 BuildRequires:  perl-XML-Parser
 BuildRequires:  pkgconfig
 BuildRequires:  python-devel
+BuildRequires:  libzip-devel
 Requires(post):   desktop-file-utils
 Requires(postun): desktop-file-utils
 
diff -Naur inkscape2/po/POTFILES.in inkscape/po/POTFILES.in
--- inkscape2/po/POTFILES.in	2009-02-12 10:40:06.000000000 +0100
+++ inkscape/po/POTFILES.in	2009-02-10 10:35:03.000000000 +0100
@@ -91,6 +91,7 @@
 src/extension/internal/gdkpixbuf-input.cpp
 src/extension/internal/gimpgrad.cpp
 src/extension/internal/grid.cpp
+src/extension/internal/javafx-fxz.cpp
 src/extension/internal/javafx-out.cpp
 src/extension/internal/latex-pstricks.cpp
 src/extension/internal/latex-pstricks-out.cpp
diff -Naur inkscape2/src/extension/init.cpp inkscape/src/extension/init.cpp
--- inkscape2/src/extension/init.cpp	2009-02-12 10:39:35.000000000 +0100
+++ inkscape/src/extension/init.cpp	2009-02-10 10:35:03.000000000 +0100
@@ -42,6 +42,7 @@
 # include "internal/pdf-input-cairo.h"
 #endif
 #include "internal/pov-out.h"
+#include "internal/javafx-fxz.h"
 #include "internal/javafx-out.h"
 #include "internal/odf.h"
 #include "internal/latex-pstricks-out.h"
@@ -176,6 +177,7 @@
     Internal::EmfWin32::init();
 #endif
     Internal::PovOutput::init();
+    Internal::JavaFXZ::init();
     Internal::JavaFXOutput::init();
     Internal::OdfOutput::init();
     Internal::PrintLatex::init();
diff -Naur inkscape2/src/extension/internal/CMakeLists.txt inkscape/src/extension/internal/CMakeLists.txt
--- inkscape2/src/extension/internal/CMakeLists.txt	2009-02-12 10:39:35.000000000 +0100
+++ inkscape/src/extension/internal/CMakeLists.txt	2009-02-10 10:35:03.000000000 +0100
@@ -23,6 +23,7 @@
 pdf-input-cairo.cpp
 pov-out.cpp
 javafx-out.cpp
+javafx-fxz.cpp
 svg.cpp
 svgz.cpp
 wpg-input.cpp
